package com.example.ntwrk;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

public class DisplayMessageActivity extends Activity {

	public TextView txtTitleInfo ;
	public TextView txtYearInfo ;
	public TextView txtRuntimeInfo ;
	public TextView txtReleasedInfo ;
	public TextView txtGenerInfo ;
	public TextView txtDirectorInfo ;
	public TextView txtWriterInfo ;
	public TextView txtActorsInfo ;
	public TextView txtRatingsInfo;
	public TextView txtPlotInfo;
	
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_display_message);
		
		// Get the message from the intent
	    Intent intent = getIntent();
	    /*
	    String message = intent.getStringExtra(Main.EXTRA_MESSAGE);
	    Log.d("Intent_msg",message);
*/
	    // Create the text view
	    
		txtTitleInfo = (TextView) findViewById(R.id.txtTitleInfo);
		
		txtRatingsInfo = (TextView) findViewById(R.id.txtRatingsInfo);
		//txtYearInfo = (TextView) findViewById(R.id.txtYearInfo);
		txtReleasedInfo = (TextView) findViewById(R.id.txtReleasedInfo);
		txtRuntimeInfo = (TextView) findViewById(R.id.txtRuntimeInfo);
		txtGenerInfo = (TextView) findViewById(R.id.txtGenreInfo);
		txtDirectorInfo = (TextView) findViewById(R.id.txtDirectorInfo);
		txtWriterInfo = (TextView) findViewById(R.id.txtWriterInfo);
		txtActorsInfo = (TextView) findViewById(R.id.txtActorsInfo);
		txtPlotInfo = (TextView) findViewById(R.id.txtPlotInfo);

		txtTitleInfo.setText(intent.getStringExtra("res_Title"));
		txtRatingsInfo.setText(intent.getStringExtra("res_imdbRating"));
		//txtYearInfo.setText(intent.getStringExtra("res_Year"));
		txtReleasedInfo.setText(intent.getStringExtra("res_Released").toString());
		txtRuntimeInfo.setText(intent.getStringExtra("res_Runtime").toString());
		txtGenerInfo.setText(intent.getStringExtra("res_Genre").toString());
		txtDirectorInfo.setText(intent.getStringExtra("res_Director").toString());
		txtWriterInfo.setText(intent.getStringExtra("res_Writer").toString());
		txtActorsInfo.setText(intent.getStringExtra("res_Actors").toString());
		txtPlotInfo.setText(intent.getStringExtra("res_Plot").toString());

		// Show the Up button in the action bar.
		setupActionBar();
	}

	/**
	 * Set up the {@link android.app.ActionBar}, if the API is available.
	 */
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	private void setupActionBar() {
		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
			getActionBar().setDisplayHomeAsUpEnabled(true);
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.display_message, menu);
		return true;
	}

	
	
	public boolean onOptionsItemSelected(MenuItem item){
		
		switch (item.getItemId())
        {
        case R.id.menu_about:
            // Single menu item is selected do something
            // Ex: launching new activity/screen or show alert message
        	final Intent intent = new Intent(this, About.class);
        	startActivity(intent);
        	
            return true;
 
 
        default:
            return super.onOptionsItemSelected(item);
        }
	}
}
