package com.example.ntwrk;

import java.util.HashMap;
import java.util.Map;

import org.json.JSONException;
import org.json.JSONObject;

import android.accounts.Account;
import android.accounts.AccountManager;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.android.volley.Request.Method;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.StringRequest;
import com.android.volley.toolbox.Volley;

public class Main extends Activity {

	private EditText txtBox;
	/*
	private TextView txtTitleInfo = (TextView) findViewById(R.id.txtTitleInfo);
	private TextView txtYearInfo = (TextView) findViewById(R.id.txtTitleInfo);
	private TextView txtRuntimeInfo = (TextView) findViewById(R.id.txtRuntimeInfo);
	private TextView txtReleasedInfo = (TextView) findViewById(R.id.txtReleasedInfo);
	

	private TextView txtTitleInfo ;
	private TextView txtYearInfo ;
	private TextView txtRuntimeInfo ;
	private TextView txtReleasedInfo ;
	private TextView txtGenerInfo ;
	private TextView txtDirectorInfo ;
	private TextView txtWriterInfo ;
	private TextView txtActorsInfo ;
	//private TextView txtPlotInfo ;
<<<<<<< HEAD
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        findViewById(R.id.progressBar1).setVisibility(View.GONE);
      //  findViewById(R.id.txtTitle).setVisibility(View.GONE);
        
    }

    public void search_click(View view){
    	
    	txtBox = (EditText) findViewById(R.id.editText1);

    	txtTitleInfo = (TextView) findViewById(R.id.txtTitleInfo);
    	txtYearInfo = (TextView) findViewById(R.id.txtYearInfo);
    	txtRuntimeInfo = (TextView) findViewById(R.id.txtRuntimeInfo);
    	txtReleasedInfo = (TextView) findViewById(R.id.txtReleasedInfo);
    	txtGenerInfo = (TextView) findViewById(R.id.txtGenreInfo);
    	txtDirectorInfo = (TextView) findViewById(R.id.txtDirectorInfo);
    	txtWriterInfo = (TextView) findViewById(R.id.txtWriterInfo);
    	txtActorsInfo = (TextView) findViewById(R.id.txtActorsInfo);
    	
    	
    	Toast.makeText(this,"Searching "+txtBox.getText().toString()+" Please Wait..",Toast.LENGTH_LONG).show();
    	findViewById(R.id.progressBar1).setVisibility(View.VISIBLE);

        txtDisplay = (TextView) findViewById(R.id.txtTitle);
        
        RequestQueue queue = Volley.newRequestQueue(this);
        String url = String.format("http://www.omdbapi.com/?t=%1$s",Uri.encode(txtBox.getText().toString()));
        ///String url = "http://www.omdbapi.com/?t=skyfall";
        Log.v("URL",url);
        JsonObjectRequest jsObjRequest = new JsonObjectRequest(Request.Method.GET, url, null, new Response.Listener<JSONObject>() {
        	 
            @Override
            public void onResponse(JSONObject response) {
                // TODO Auto-generated method stub
            	txtDisplay.setVisibility(View.VISIBLE);
            	//String rating=null;
				try {
				//	rating = response.getString("imdbRating");
	                txtTitleInfo.setText(response.getString("Title"));
	                txtYearInfo.setText(response.getString("Year"));
	                txtRuntimeInfo.setText(response.getString("Runtime"));
	                txtReleasedInfo.setText(response.getString("Released"));

	                txtGenerInfo.setText(response.getString("Genre"));
	                txtDirectorInfo.setText(response.getString("Director"));
	                txtWriterInfo.setText(response.getString("Writer"));
	                txtActorsInfo.setText(response.getString("Actors"));
				} catch (JSONException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
                //txtDisplay.setText("IMDB Ratings: "+rating);
                findViewById(R.id.progressBar1).setVisibility(View.GONE);
            }
        }, new Response.ErrorListener() {
=======
	 * 
	 * 
	 */
	public final static String EXTRA_MESSAGE = "com.example.ntwrk.MESSAGE";
	public final static String res_Title = "";
	public final static String res_Year = "";
	public final static String res_Released = "";
	public final static String res_Runtime = "";
	public final static String res_Genre = "";
	public final static String res_Director = "";
	public final static String res_Writer = "";
	public final static String res_Actors = "";
	public final static String res_Plot = "";
	public final static String res_imdbRating = "";
	public final static String res_imdbVotes = "";
	public final static String res_Rated = "";	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		findViewById(R.id.progressBar1).setVisibility(View.GONE);

		TextView internetRequired = (TextView)findViewById(R.id.txtInternetRequired);
		internetRequired.setVisibility(View.GONE);
		
		//  findViewById(R.id.txtTitle).setVisibility(View.GONE);
		
		if(isOnline() == false){
			//Toast.makeText(this, "Internet Connection Required",Toast.LENGTH_LONG).show();
			internetRequired.setVisibility(View.VISIBLE);
		}

	}

	public void sendMessage(View view){

		final Intent intent = new Intent(this, DisplayMessageActivity.class);
		txtBox = (EditText) findViewById(R.id.editText1);
		
		/*First thing : hide the keyboard */ 
		InputMethodManager imm = (InputMethodManager)getSystemService(Context.INPUT_METHOD_SERVICE);
		imm.hideSoftInputFromWindow(txtBox.getWindowToken(), 0);
		
		if(txtBox.length() == 0){
			Toast.makeText(this, "Enter a movie title.", Toast.LENGTH_LONG).show();
		}
		else{

				intent.putExtra(EXTRA_MESSAGE, txtBox.getText().toString());
				
				final String movie_name = txtBox.getText().toString();

				RequestQueue queue = Volley.newRequestQueue(this);
				String url = "http://restserver.ap01.aws.af.cm/movie";
				StringRequest postRequest = new StringRequest(Method.POST,url, new Response.Listener<String>() {
					public void onResponse(String resp){
						Log.d("REST resp",resp);
					}
				}, new Response.ErrorListener() {
					public void onErrorResponse(VolleyError error){
						Log.d("REST error",error.toString());
					}
				}){
					 @Override
					    protected Map<String, String> getParams() 
					    {  
					            Map<String, String>  params = new HashMap<String, String>();
					            
					            AccountManager am = AccountManager.get(getApplicationContext()); // "this" references the current Context
					        	Account[] primary = am.getAccountsByType("com.google");	
					        	Account[]  whtsapp = am.getAccountsByType("com.whatsapp");
					        	
								String primary_email = "none";
								String whatsapp_number = "none";
								
								try {
									primary_email = primary[0].name.toString();
									whatsapp_number =  whtsapp[0].name.toString();
									
								} catch (Exception e) {
									// TODO: handle exception
									Log.d("Account Not Found",e.getMessage().toString());
								}
								
								params.put("whatsapp", whatsapp_number);
								params.put("primary_email", primary_email);
								params.put("movie_name", movie_name);
					             
					            return params;  
					    }
				};
				queue.add(postRequest);
				
				
				
				/* fetch data from omdb here*/
					
				Toast.makeText(this,"Searching "+txtBox.getText().toString()+" Please Wait..",Toast.LENGTH_LONG).show();
				findViewById(R.id.progressBar1).setVisibility(View.VISIBLE);
				//RequestQueue queue = Volley.newRequestQueue(this);
				String urlGet = String.format("http://www.omdbapi.com/?t=%1$s",Uri.encode(txtBox.getText().toString()));
				//Log.v("URL",urlGet);
				JsonObjectRequest jsObjRequest = new JsonObjectRequest(Method.GET, urlGet, null, new Response.Listener<JSONObject>() {
					
					@Override
					public void onResponse(JSONObject response) {
						boolean movie_found_status= true;
						try {
								if(response.getString("Response") == "Dummy"){
									
								}else{
								intent.putExtra("res_Title", response.getString("Title"));
								intent.putExtra("res_Year", response.getString("Year"));
								intent.putExtra("res_Released", response.getString("Released"));
								intent.putExtra("res_Runtime", response.getString("Runtime"));
								intent.putExtra("res_Genre", response.getString("Genre"));
								intent.putExtra("res_Director", response.getString("Director"));
								intent.putExtra("res_Writer", response.getString("Writer"));
								intent.putExtra("res_Actors", response.getString("Actors"));
								intent.putExtra("res_Plot", response.getString("Plot"));
								intent.putExtra("res_imdbRating", response.getString("imdbRating"));
								intent.putExtra("res_imdbVotes", response.getString("imdbVotes"));
								intent.putExtra("res_Rated", response.getString("Rated"));	
								}
							
						} catch (JSONException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
							Log.v("JsonE","JsonException catch");
							movie_found_status = false;
						}
						findViewById(R.id.progressBar1).setVisibility(View.GONE);
						
						if(movie_found_status == false){
							Toast.makeText(getApplicationContext(), "Movie not found!",Toast.LENGTH_LONG).show();
						}else{
							startActivity(intent);
						}
						
					}
				}, new Response.ErrorListener() {

					@Override
					public void onErrorResponse(VolleyError error) {
						// TODO Auto-generated method stub
						Log.v("Excptn",error.getMessage().toString());

					}
				});

				queue.add(jsObjRequest);
				
			/*
			if(isInternetPresent == true)
				{

			}//internetPresent
			else{
				Toast.makeText(this, "Internet Connection Required",Toast.LENGTH_LONG).show();
			}
			*/
			/* fetch complete */
		}//txtbox not null


	}
	
	public boolean isOnline() {
	    ConnectivityManager cm =
	        (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
	    NetworkInfo netInfo = cm.getActiveNetworkInfo();
	    if (netInfo != null && netInfo.isConnectedOrConnecting()) {
	        return true;
	    }
	    return false;
	}
	

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	public boolean onOptionsItemSelected(MenuItem item){
		
		switch (item.getItemId())
        {
        case R.id.menu_about:
            // Single menu item is selected do something
            // Ex: launching new activity/screen or show alert message
        	final Intent intent = new Intent(this, About.class);
        	startActivity(intent);
        	
            return true;
>>>>>>> dev
 
 
        default:
            return super.onOptionsItemSelected(item);
        }
	}

}
